dbXML API

## org.dbxml.core.corba
Class SymbolSerializer

    java.lang.Object
      |
      +--org.dbxml.core.corba.SymbolSerializer

public final class SymbolSerializer
extends java.lang.Object

SymbolSerializer is a utility class for managing SymbolTables in the server context of Wire Compression.

Constructor Summary
`SymbolSerializer(SymbolTable syms)`

Method Summary
`EncodedBuffer` `convertFromDocument(org.w3c.dom.Document doc, long stamp)` convertFromDocument converts a DOM Document into an EncodedBuffer that, depending on the time stamp, possibly includes a current image of the managed Collection's Symbol Table.
`long` `getLastModified()` getLastModified returns a time stamp of the last server-side modified of the Symbol Table.
`SymbolTable` `getSymbols()` getSymbols returns the Symbol Table being managed by this Serializer.
`EncodedBuffer` `getSymBuffer()` getSymBuffer returns a new EncodedBuffer that includes a reference to the SymbolTable's byte array image for wire transmission.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SymbolSerializer

    public SymbolSerializer(SymbolTable syms)

Method Detail

### getSymBuffer

    public EncodedBuffer getSymBuffer()

  getSymBuffer returns a new EncodedBuffer that includes a reference to the SymbolTable's byte array image for wire transmission. Depending on whether the client is up to date, convertFromDocument will remove this reference.
  Returns:
    A new EncodedBuffer

### convertFromDocument

    public EncodedBuffer convertFromDocument(org.w3c.dom.Document doc,
                                             long stamp)

  convertFromDocument converts a DOM Document into an EncodedBuffer that, depending on the time stamp, possibly includes a current image of the managed Collection's Symbol Table.
  Parameters:
    `doc` - The Document to Convert
    `stamp` - The client's last modified stamp
  Returns:
    The EncodedBuffer

### getSymbols

    public SymbolTable getSymbols()

  getSymbols returns the Symbol Table being managed by this Serializer.
  Returns:
    The Symbol Table

### getLastModified

    public long getLastModified()

  getLastModified returns a time stamp of the last server-side modified of the Symbol Table. This is used to determine whether or not to regenerate the byte stream, and whether the client will need a new copy of the Symbol Table.
  Returns:
    Last modified stamp

dbXML API

Copyright (c) 1999-2001 The dbXML Group, All rights reserved